## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname fiona
%global Srcname Fiona

Name:           python-%{srcname}
Version:        1.9.5
#global         pre .post1
%global         uversion %{version}%{?pre}
Release:        %autorelease
Summary:        Fiona reads and writes spatial data files

License:        BSD-3-Clause
URL:            https://fiona.readthedocs.io
Source0:        https://github.com/Toblerity/%{Srcname}/archive/%{uversion}/%{Srcname}-%{uversion}.tar.gz
Patch:          0001-Expand-build-requirement-limits.patch
# https://github.com/Toblerity/Fiona/pull/1314
Patch:          0002-Fix-leak-in-set_proj_search_path-1314.patch
# https://github.com/Toblerity/Fiona/pull/1315
Patch:          0003-Remove-duplicate-CRS.__hash__-definition.patch
Patch:          0004-Fix-warnings-of-losing-const-ness-of-pointers.patch
Patch:          0005-Fix-maybe-uninitialized-warning-in-WritingSession.patch

BuildRequires:  gcc-c++
BuildRequires:  gdal >= 3.1
BuildRequires:  gdal-devel >= 3.1

%description
Fiona is designed to be simple and dependable. It focuses on reading and
writing data in standard Python IO style and relies upon familiar Python types
and protocols such as files, dictionaries, mappings, and iterators instead of
classes specific to OGR. Fiona can read and write real-world data using
multi-layered GIS formats and zipped virtual file systems and integrates
readily with other Python GIS packages such as pyproj, Rtree, and Shapely.


%package -n python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3-devel

Recommends:     python3-boto3
Recommends:     python3-shapely

%description -n python3-%{srcname}
Fiona is designed to be simple and dependable. It focuses on reading and
writing data in standard Python IO style and relies upon familiar Python types
and protocols such as files, dictionaries, mappings, and iterators instead of
classes specific to OGR. Fiona can read and write real-world data using
multi-layered GIS formats and zipped virtual file systems and integrates
readily with other Python GIS packages such as pyproj, Rtree, and Shapely.


%prep
%autosetup -n %{Srcname}-%{uversion} -p1

%generate_buildrequires
%pyproject_buildrequires -x s3,calc,test

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
export LANG=C.UTF-8

rm -rf fiona  # Needed to not load the unbuilt library.

# Skip debian tests since we are not on debian
%{pytest} -m "not network and not wheel" -k "not debian" -ra


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGES.txt CREDITS.txt
%{_bindir}/fio


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Dec 03 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.9.5-4
- Fix remaining warnings from compiled extensions

* Sun Dec 03 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.9.5-3
- Fix leak and casting bug in set_proj_search_path

* Wed Nov 15 2023 Sandro Mani <manisandro@gmail.com> - 1.9.5-2
- Rebuild (gdal)

* Sun Oct 15 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.9.5-1
- Update to latest version (#2243737)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 07 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.9.4-1
- Update to latest version (#2207993)

* Tue Jul 04 2023 Python Maint <python-maint@redhat.com> - 1.9.3-3
- Rebuilt for Python 3.12

* Thu May 11 2023 Sandro Mani <manisandro@gmail.com> - 1.9.3-2
- Rebuild (gdal)

* Mon Apr 24 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.9.3-1
- Update to latest version (#2185676)

* Sun Mar 26 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.9.2-1
- Update to latest version (#2180263)

* Sun Mar 26 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.9.1-2
- Convert to SPDX

* Mon Feb 20 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.9.1-1
- Update to latest version (#2088645)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.21-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Nov 12 2022 Sandro Mani <manisandro@gmail.com> - 1.8.21-6
- Rebuild (gdal)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.21-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1.8.21-4
- Rebuilt for Python 3.11

* Sun May 22 2022 Sandro Mani <manisandro@gmail.com> - 1.8.21-3
- Temporarily ignore test failures

* Fri May 20 2022 Sandro Mani <manisandro@gmail.com> - 1.8.21-2
- Rebuild for gdal-3.5.0 and/or openjpeg-2.5.0

* Sun Feb 13 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.21-1
- Update to latest version (#2051680)

* Sun Feb 13 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.20-7
- Switch to latest Python macros

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.20-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 11 2021 Sandro Mani <manisandro@gmail.com> - 1.8.20-3
- Rebuild (gdal)

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.20-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 12 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.20-1
- Update to latest version (#1966356)

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.8.19-3
- Rebuilt for Python 3.10

* Fri May 07 2021 Sandro Mani <manisandro@gmail.com> - 1.8.19-2
- Rebuild (gdal)

* Mon Apr 12 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.19-1
- Update to latest version (#1947207)

* Sat Jan 30 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.18-2
- Backport fix for DGN tests

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Nov 28 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.18-1
- Update to latest version (#1874310)

* Wed Nov 11 2020 Sandro Mani <manisandro@gmail.com> - 1.8.17-1
- Update to 1.8.17

* Tue Sep 01 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.14-1
- Update to latest version (#1874310)

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.13-7
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.8.13-5
- Rebuilt for Python 3.9

* Thu May 21 2020 Sandro Mani <manisandro@gmail.com> - 1.8.13-4
- Rebuild (gdal)

* Tue Mar 03 2020 Sandro Mani <manisandro@gmail.com> - 1.8.13-3
- Rebuild (gdal)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 09 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.13-1
- Update to latest version

* Tue Nov 12 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.11-1
- Update to latest version

* Mon Oct 21 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.9-3
- Update to latest version

* Sun Sep 29 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.8-3
- Update to latest version

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.8.6-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Mar 19 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.6-1
- Update to latest version

* Sat Mar 16 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.5-1
- Update to latest version

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Dec 12 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.4-1
- Update to 1.8.4

* Thu Nov 01 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8.0-1
- Update to 1.8.0

* Sun Oct 28 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.8-0.3.rc1
- Update to 1.8rc1

* Sat Sep 22 2018 Miro Hrončok <mhroncok@redhat.com> - 1.8-0.2.a2
- Drop Python 2 subpackage

* Fri Sep 21 2018 Miro Hrončok <mhroncok@redhat.com> - 1.8-0.1.a2
- Update to 1.8a2
- Use automatic Python dependency generator
- Use pytest instead of nose

* Wed Jul 18 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.7.13-1
- Update to latest version

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.7.10-4
- Rebuilt for Python 3.7

* Tue Feb 13 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.7.10-3
- rebuilt

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Dec 09 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.7.10-1
- Update to latest version.
- Use python2-* BR.

* Sun Jul 09 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.7.8-2
- Restore flaky test patch (not applied upstream yet)

* Sun Jul 09 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.7.8-1
- Simplify spec a bit.
- Update fiona to latest release.

* Sun Mar 05 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.7.4-3
- Fix flaky ls test.

* Sun Mar 05 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.7.4-2
- Testing requires pytest as well.

* Sat Mar 04 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> 1.7.4-1
- Initial package release.

## END: Generated by rpmautospec
